Add a review submitted Webhook

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates a new webhook. The webhook will trigger when a review is submitted with a POST request containing the following body:

{
    'id' : '(our unique identifer for the review)',
    'review_type' : '(company or product)',
    'order_id' : '(your reference for the reviewers purchase)',
    'rating' : '(1 to 5 star rating)',
    'comments' : '(review text)',
    'user' : {
        'name' : '(reviewers name)',
        'email_address' : '(reviewers email address)'
    },
    'product' : {
        'sku' : '(sku of product being reviewed, only included for product reviews)'
    }
}

The ID returned by this endpoint can later be used to remove the webhook using the Remove a review submitted Webhook endpoint.

Webhooks can also be created as part of an Invitation Flow in the REVIEWS.io dashboard.

Additional data can be requested using the includes parameter which expects a comma separated list, the following values are accepted :-

IncludesDescription
attribute_customerattribute data stored for the user
attribute_companystore_review attribute data
attribute_productproduct_review attribute data
tagstags included against the review
productfull details stored for the product for a product_review
usergeneral stats are generated for the user
photophotos on the review appended with our asset url, includes active and inactive status
videovideos on the review appended with our asset url, includes active and inactive status
Query Params
string
required

Your REVIEWS.io public store key

string
required

Your REVIEWS.io private api key

Body Params

Review webhook

enum
required

Type of review to be notified of

string
required

Webhook target url

string

Allow additional data to be returned in webhooks

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json